/**
 * 手机登录初始化
 * by cjj
 */

Ext.Loader.setConfig({
	enabled : true,
	paths : {
		'mobile' : 'hrmobile'
	}
});

Ext.application({
	name : 'mobileIndex',

	launch : function() {

		Ext.Msg.defaultAllowedConfig.showAnimation = false;
		Ext.Msg.defaultAllowedConfig.hideAnimation = false;

		clientWidth = document.body.clientWidth;
		mobileView = Ext.Viewport;
		var username = localStorage.getItem("userName") != null ? localStorage.getItem("userName") : '';
		var isGesturePassword = localStorage.getItem(username + "isGesturePassword") != null ? localStorage.getItem(username + "isGesturePassword") : '';
		var errorPasswordcount = localStorage.getItem(username + "errorPassword");
		localStorage.setItem(username + "updateGesturePassword", "0"); //0初始化，1，修噶密码的第一步，输入原始密码2，新密码
		localStorage.setItem(username + "isupdatepassword", "no"); //初始化，不是修改密码
		var isOpenWeixinOpenLong = localStorage.getItem("isOpenWeixinOpenLong");
		var isReg = localStorage.getItem("isReg") != null ? localStorage.getItem("isReg") : '0';
		//如果不是app的话也即使浏览器访问，或微信访问，就要先验证session
		if (isApp == false) {
			Ext.Ajax.request({
				url : __ctxPath + '/user/isSessinonValidBpCustMember.do',
				params : {
				},
				method : 'POST',
				success : function(response) {
					var obj = Ext.util.JSON.decode(response.responseText);
					sessionId = obj.sessionId;
					localStorage.setItem("sessionId", sessionId);
					if (obj.success == true) {
						curUserInfo = obj.data;
						persion = obj.persion;
						localStorage.setItem(username + "curUserInfo", curUserInfo);
						if (onePageType != null && onePageType.length > 5) {
							mobileNavi = Ext.create('mobile.Viewforgis', {});
							mobileNavi.getNavigationBar().getBackButton().hide();
							mobileNavi.getNavigationBar().hide();
						} else if (onePageType != null && onePageType=="WSP") {
							mobileNavi = Ext.create('mobile.View', {
								fullscreen : true,
								isLoginBtn : true,
								isRegisterBtn : true,
								isLogoutBtn : false
							});
							mobileNavi.push(Ext.create('hrmobile.public.myhome.main.mydetile4', {}));
							return;
						} else {
							mobileNavi = Ext.create('mobile.View', {
								fullscreen : true,
								isLoginBtn : true,
								isRegisterBtn : true,
								isLogoutBtn : false
							});
						}
						mobileView.add(mobileNavi);
					} else {
						curUserInfo = null;
						
						if (onePageType != null && onePageType.length > 5) {
							mobileNavi = Ext.create('mobile.Viewforgis', {});
							mobileNavi.getNavigationBar().getBackButton().hide();
							mobileNavi.getNavigationBar().hide();
						}  else if (onePageType != null && onePageType=="WSP") {
							mobileNavi = Ext.create('mobile.View', {
								fullscreen : true,
								isLoginBtn : true,
								isRegisterBtn : true,
								isLogoutBtn : false
							});
							mobileNavi.push(Ext.create('hrmobile.public.myhome.main.mydetile4', {}));
							return;
						} else {
							mobileNavi = Ext.create('mobile.View', {
							});
						}
						mobileView.add(mobileNavi);
					}
				},
				failure : function(form, action, response) {
					var obj = Ext.util.JSON.decode(response);
					sessionId = obj.sessionId;
					localStorage.setItem(sessionId + "sessionId", sessionId);
					Ext.Msg.alert('', obj.msg);
				}
			});

		} else if (isApp == true) { //如果是app

			/*if(username!=''&&isGesturePassword=='true' &&parseInt(errorPasswordcount) !=5){
    		            gesturePasswordLogin = Ext.create('mobile.usermanage.GesturePasswordLogin', {fullscreen: true});
			      }else{*/
			if (username != '') {
				var curTime = localStorage.getItem(username + "curTime");
				var overTime = 1000*60*60*24*15;
		 		if (curTime != null && new Date().getTime() - curTime > overTime) {
		            alert("信息已过期");
		            localStorage.clear();
		            mobileNavi = Ext.create('mobile.View', {
						fullscreen : true
					});
					mobileView.add(mobileNavi);
		        }else{
		        	var password = localStorage.getItem(username + "password") != null ? localStorage.getItem(username + "password") : '';
					Ext.Ajax.request({
						url : __ctxPath + '/tologin.do?loginname=' + username + '&password=' + password + '&isMobile=1',
						params : {
							isIndex : "yes"
						},
						success : function(response) {
							var obj = Ext.util.JSON.decode(response.responseText);
							if (Ext.isEmpty(obj.errMsg)) {
								curUserInfo = obj.data;
								persion=obj.persion;
								localStorage.setItem(username + "curUserInfo", curUserInfo);
								mobileNavi = Ext.create('mobile.View', {
									fullscreen : true,
									isLogoutBtn : false,
									isRegisterBtn : true,
									isLoginBtn : true
								});
								mobileView.add(mobileNavi);

							} else {
								mobileNavi = Ext.create('mobile.View', {
									fullscreen : true
								});
								mobileView.add(mobileNavi);
							}
						}
					});
		        }
			} else {
				mobileNavi = Ext.create('mobile.View', {
					fullscreen : true
				});
				mobileView.add(mobileNavi);
			}

			/*}*/


		}



	}
});


curUserInfo = null;
sessionId = null;

var quitflag = 0;

document.addEventListener("deviceready", onDeviceReady, false);
function onDeviceReady() {
	navigator.splashscreen.hide();
	document.addEventListener("backbutton", eventBackButton, false); //注册返回键
}
function eventBackButton() {
	if (mobileNavi.pop()) {
	}
	quitflag++;
	setTimeout(function() {
		quitflag = 0;
	}, 3000);

	if (quitflag >= 2) {
		navigator.app.exitApp();
	}
}
