var telephone = null;
//ExtUD.Ext.BidPlanFinanceInfo
Ext.define('hrmobile.Registers', {
	extend : 'Ext.form.Panel',
	name : 'register',
	constructor : function(config) {
		config = config || {};
		var styles = "font-size:1em;color:#fff;background: rgba(154, 143, 143, 0);padding: 0px 10px;"
		var stylesbox = "font-size:1em;color:#fff;background: rgba(154, 143, 143, 0);"
		Ext.apply(config, {
			title : "<font color=" + topColor + " style='font-size:" + topsize + "'>注册</font>",
			scrollable : {
				direction : 'vertical'
			},
			height : "100%",
			baseCls : "mobileregister",
			style : {
				'background' : 'url(hrmobile/resources/imagesP2p/bg.jpg)',
				'border' : 'none',
				'width' : '100%',
				'background-size' : 'cover'
			},
			items : [ {
				items : [ {
					xtype : "numberfield",
					name : "telephone",
					placeHolder : "输入手机号",
					inputCls : "inputforregisnew",
					margin : "30px 0 0 0",
					style : styles,
					listeners : {
						scope : this,
						change : function(field, newValue, oldValue) {
							if (!isMobile(newValue)) {
								field.setInputCls("jinggaoshuru");
								return;
							}
							Ext.Ajax.request({
								url : __ctxPath + "/user/isExistTelphoneBpCustMember.do",
								params : {
									isMobile : '1',
									phone : newValue
								},
								success : function(response) {
									var responseText = Ext.util.JSON.decode(response.responseText);
									if (responseText.success == true) {
										field.setInputCls("jinggaoshuru");
										return;
									} else {
										field.setInputCls("inputforregisnew");
										return;
									}
								}
							});
						}
					}
				}, {
					xtype : 'panel',
					layout : {
						type : 'hbox',
						align : 'middle'
					},
					style:"background: rgba(154, 143, 143, 0);padding: 0px 0px 0px 10px;",
					items : [
						{
							xtype : 'textfield',
							width : '70%',
							name : "checkCode",
							placeHolder : "验证码",
							inputCls : "inputforregisnew",
							id : "checkCode",
							style : stylesbox
						},
						{
							style : 'back-ground:#F7F7F7',
							xtype : "label",
							html : "<img  id='registerCode' style='width: 6em;min-height:3em;cursor:pointer;' alt='点击更换' onclick='javascript:refresh(\"registerCode\");' src='"
								+ __ctxPath + "/getCode.do'>"
						} ]
				}, {
					xtype : "panel",
					layout : {
						type : 'hbox',
						align : 'middle'
					},
					style:"background: rgba(154, 143, 143, 0);padding: 0px 0px 0px 10px;",
					items : [ {
						xtype : "textfield",
						width : "70%",
						name : "phonecode",
						placeHolder : "输入手机验证码",
						inputCls : "inputforregisnew",
						style : stylesbox
					}, {
						xtype : "button",
						width : "25%",
						style : "width:25% !important;background:#ffda44;min-height:2.7em; font-size: 14px;color:#000;border-bottom: 1px solid rgb(221, 221, 221);height: 100%;border-radius: 0;",
						text : "发送验证码",
						disabled : false,
						id : "regischeckbtn",
						handler : this.getregistercheckCode
					} ]
				},
					{
						xtype : "passwordfield",
						name : "regpassword",
						placeHolder : "6-16位的字母与数字组合",
						inputCls : "inputforregisnew",
						style : styles
					}, {
						xtype : "label",
						style : "margin:0px 20px 0px 20px",
						name : "register",
						id : "register",
						html : ""
					}, {
						baseCls : "btn",
						xtype : 'button',
						margin : "20px",
						style : "background:" + themeColor,
						text : "<font color=#000 style='line-height:40px;font-size:17px;'>确认注册</font>",
						scope : this,
						handler : this.register
					} ]
			} ]
		});
		this.callParent([ config ]);
		xieyi = function(data) {
			var title = null;
			if (data == "1") {
				title = "保密与授权协议";
			} else {
				title = "服务与隐私协议";
			}
			var regishtml = CreateBaoMi(data);
			this.overlay = Ext.Viewport.add({
				xtype : 'panel',
				modal : true,
				hideOnMaskTap : true,
				centered : true,
				width : '80%',
				height : '500px',
				styleHtmlContent : false,
				html : regishtml,
				items : [ {
					docked : 'top',
					xtype : 'button',
					style : "background:" + themeColor + "",
					text : '<div style="font-size:17px;color:#fff;">' + title + '</div>'
				}, {
					docked : 'bottom',
					xtype : 'button',
					margin : "10px 0px 10px",
					style : "background:" + themeColor + "",
					text : "<font color=white style='line-height:40px;'>确认</font>",
					scope : this,
					handler : function() {
						this.overlay.hide();
					}
				} ],
				scrollable : true
			})
			this.overlay.show();
		}

	},
	getregistercheckCode : function() {
		telephone = this.parent.parent.getCmpByName("telephone").getValue();
		var checkCode = this.parent.parent.getCmpByName("checkCode").getValue();
		var note = Ext.getCmp('register');
		// 校验用户名

		if (Ext.isEmpty(telephone)) {
			note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">请输入您的手机号</p></div>');
			return;
		}
		if (!isMobile(telephone)) {
			note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">请输入正确的手机号码</p></div>');
			return;
		}
		if (Ext.isEmpty(checkCode)) {
			note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">请输入图形验证码</p></div>');
			return;
		}
		var seconds = 120;
		var temp = 120;
		var getVerifySmsObj = this;
		var text1 = getVerifySmsObj.getText();
		if (this._disabled == null || this._disabled == false) {
			this.setDisabled(true);
			Ext.Ajax.request({
				url : __ctxPath + "/thirdInterface/codeCreateRandomPhone.do",
				params : {
					isMobile : '1',
					sms_code_type : 'bind_telphone',
					telphone : telephone,
					randomCode : (Math.random()),
					checkCode : checkCode
				},
				success : function(response) {
					var responseText = Ext.util.JSON.decode(response.responseText);
					if (responseText.success == true) {
						var text = getVerifySmsObj.getText();
						var interval = window.setInterval(function() {
							seconds--;
							if (seconds == 0) {
								seconds = temp;
								window.clearInterval(interval);
								getVerifySmsObj.setText("发送验证码");
								getVerifySmsObj.setDisabled(false);
							} else {
								getVerifySmsObj.setText(seconds + "秒");
							}
						}, 1000);
						Ext.Msg.alert("", "验证码已发送至您的手机，请注意查收！")
					} else {
						Ext.Msg.alert("", responseText.remark);
						getVerifySmsObj.setDisabled(false);
					}

				}
			});
		}
	},
	register : function() {
		var telephone = this.parent.getCmpByName("telephone").getValue();
		var regpassword = this.parent.getCmpByName("regpassword").getValue();
		var regpasswordcheck = this.parent.getCmpByName("regpasswordcheck").getValue();
		var recommandPerson = this.parent.getCmpByName("recommandPerson").getValue();
		var phonecode = this.parent.getCmpByName("phonecode").getValue();
		var registerxieyi = document.getElementById("bike").checked;
		var note = Ext.getCmp('register');
		if (!isMobile(telephone)) {
			note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">请输入正确的手机号码</p></div>');
			return;
		}
		if (Ext.isEmpty(phonecode)) {
			note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">请输入手机验证码</p></div>');
			return;
		}
		if (!Ext.isEmpty(regpassword)) {
			if (regpassword.length < 6 || regpassword.length > 16) {
				note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">密码长度为6~16个字符</p></div>');
				return;
			}
			var reg = new RegExp(/^([a-zA-Z]+)$/);
			if (!isNaN(regpassword) || reg.test(regpassword)) {
				note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">密码只能字母和数字组成</p></div>');
				return;
			}
			if (!regpassword.match(/^[a-zA-Z0-9]+$/)) {
				note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">密码只能由字母和数字组成</p></div>');
				return;
			}
			if (regpasswordcheck != regpassword) {
				note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">两次输入的密码不一致</p></div>');
				return;
			}
		} else {
			note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">请输入您密码</p></div>');
			return;
		}
		if (!registerxieyi) {
			note.setHtml('<div class="prompt" style="display: block;"><i class="icon-exclamation-sign icon-large"></i> <p class="prompt-font">请同意用户协议</p></div>');
			return;
		}
		Ext.Ajax.request({
			url : __ctxPath + '/user/submitMessagereg.do',
			params : {
				kehu : "Personal",
				regType : WeChat ? "1" : "2",
				custType : 0,
				isMobile : "1",
				loginname : telephone,
				password : regpassword,
				telphone : telephone,
				checkCode : phonecode,
				recommandPerson : (Ext.isEmpty(recommandPerson) ? "" : recommandPerson)
			},
			success : function(response) {
				var responseText = Ext.util.JSON.decode(response.responseText);
				if (responseText.success == true) {
					Ext.Msg.alert("", "恭喜您注册成功！", function() {});
					//登陆信息
					curUserInfo = responseText.data;
					persion = responseText.persion;
					localStorage.setItem("acctontid", curUserInfo.id);
					mobileNavi.destroy();
					mobileNavi = Ext.create('mobile.View', {});
					mobileView.add(mobileNavi);
					if (!Ext.isEmpty(Ext.get("login"))) {
						Ext.get("login").destroy();
					}
					if (!Ext.isEmpty(Ext.get("register"))) {
						Ext.get("register").destroy();
					}
					if (!Ext.isEmpty(Ext.get("logout"))) {
						Ext.get("logout").show();
					}
				} else {
					Ext.Msg.alert("", responseText.msg);
					return;
				}

			}
		});


	}
});