

// ExtUD.Ext.BidPlanFinanceInfo
Ext.define('hrmobile.public.myhome.detile.mydetile2', {
	extend : 'Ext.form.Panel',
	name : 'mydetile2',
	constructor : function(config) {
		config = config || {};
		var sheng = null;
		var shiqu = null;
		var data = config;
		var styles = "font-size:1em;color:#fff;border-bottom: 1px solid #dddddd;padding:5px 18px";
		var perstyle = "padding:5px 18px";
		var A_s = "";
		var A_sq = "";
		var A_sx = "";
		if (!Ext.isEmpty(persion.companyProvince)) {
			A_s = persion.companyProvince;
		}
		if (!Ext.isEmpty(persion.companyCity)) {
			A_sq = persion.companyCity;
		}
		if (!Ext.isEmpty(persion.companyCounty)) {
			A_sx = persion.companyCounty;
		}
		Ext.apply(config, {
			width : "100%",
			height : "100%",
			fullscreen : true,
			title : "<font color=" + topColor + " style='font-size:" + topsize + "'>我的资料</font>",
			scrollable : {
				direction : 'vertical'
			},
			items : [{
				items : [ {
					xtype : 'textfield',
					labelWidth : "90px",
					label : "公司全称：",
					inputCls : "loaninput",
					value : persion.currentcompany,
					style : "margin:5px 0px 5px 5px",
					disabled :true,
					name : "currentcompany"
				}, {
					xtype : "panel",
					html : '<div style="display:flex;"><div style="width:90px;font-size:14px;float:left;padding: 0.23em;color:#000;font-size: 16px;">公司地址：</div>' +
						'<div style="width:72%;font-size:14px;float:right;">' +
						'<select disabled="true" class="prov" id="companyProvince" onchange="javascript:economize()" style="width:31%;font-size: 14px;padding: 0.4em;"><option value="-1">请选择</option></select>' +
						'<select disabled="true" class="city" id="companyCity" onchange="javascript:ecocounty()"  style="margin-left: 2%;width:31%;font-size: 14px;padding: 0.4em;"><option value="-1">请选择</option></select> ' +
						'<select disabled="true" class="county" id="companyCounty"  style="margin-left: 2%;width:32%;font-size: 14px;padding: 0.4em;"><option value="-1">请选择</option></select> ' +
						'</div></div> ',
					style : "margin: 5px 0px 5px 5px;"
				}, {
					xtype : 'textareafield',
					labelWidth : "90px",
					label : "详细地址：",
					inputCls : "loaninput",
					value : persion.unitaddress,
					style : "margin:5px 0px 5px 5px",
					disabled :true,
					name : "unitaddress",
					store : Ext.create('StoreSelect', {
						url : __ctxPath + "/user/getDicByProTypeIdBpCustMember.do?proTypeId=1086"
					})
				}, {
					xtype : 'numberfield',
					labelWidth : "90px",
					label : "公司电话：",
					inputCls : "loaninput",
					value : persion.unitphone,
					style : "margin:5px 0px 5px 5px",
					disabled :true,
					name : "unitphone"
				}, {
					xtype : 'numberfield',
					labelWidth : "90px",
					label : "月收入：",
					inputCls : "loaninput",
					value : persion.jobincome,
					style : "margin:5px 0px 5px 5px",
					disabled :true,
					name : "jobincome"
				}, {
					xtype : "panel",
					inputCls : "loaninput",
					style : "margin: 5px 0px 5px 5px;",/*'+buyshijian+'*/
					html : 
								'<div style="display:flex;"><div style="width:90px;font-size:14px;float:left;padding: 0.4em;color:#000;font-size: 16px;">入职年份:</div>' +
									'<div style="width:80%;font-size:14px;float:right;">' +
									'<input disabled="true" value="'+(Ext.isEmpty(persion.jobstarttime)?"":persion.jobstarttime)+'" class="loaninput" style="font-size: 14px;text-align:center;padding:0.4em;height:35px" readonly="readonly" name="buyDate" id="buyDate" type="data">' +
							'</div>',
				}, {
					xtype : "label",
					name : "mymessage",
					id : "mymessage",
					html : ""
				} ]
			} ],
			listeners : {
				
				activate : function() {
					$(function() {
						var currYear = (new Date()).getFullYear();
						var opt = {};
						opt.date = {
							preset : 'date'
						};
						opt.datetime = {
							preset : 'datetime'
						};
						opt.time = {
							preset : 'time'
						};
						opt.defaults = {
							theme : 'android-ics light', //皮肤样式
							display : 'modal', //显示方式 
							mode : 'scroller', //日期选择模式
							dateFormat : 'yyyy-mm-dd',
							lang : 'zh',
							showNow : true,
							nowText : "今天",
							startYear : currYear -80,//开始年份
							endYear : currYear + 10 //结束年份
						};
	
						$("#buyDate").mobiscroll($.extend(opt['date'], opt['defaults']));
						var optDateTime = $.extend(opt['datetime'], opt['defaults']);
						var optTime = $.extend(opt['time'], opt['defaults']);
						$("#appDateTime").mobiscroll(optDateTime).datetime(optDateTime);
						$("#appTime").mobiscroll(optTime).time(optTime);
					});
				},
				resize : function(newActiveItem, this1, oldActiveItem, eOpts) {
					Ext.Ajax.request({
						url : __ctxPath + '/user/getDicByParentIdBpCustMember.do',
						params : {
							isMobile : "1",
							parentId : 6591
						},
						method : 'POST',
						success : function(response) {
							var responseText = Ext.util.JSON.decode(response.responseText);
							var province = document.getElementById("companyProvince");
							for (var i = 0; i < responseText.length; i++) {
								var Option = document.createElement("OPTION");
								Option.value = responseText[i].value;
								Option.text = responseText[i].text;
								if (A_s == responseText[i].value) {
									Option.selected = true;
								}
								province.options.add(Option);
							}
							economize();
						}
					});
				}
			}
		});
		this.callParent([ config ]);
		economize = function() {
			var provinces = document.getElementById("companyProvince");
			var parentId = provinces.options[provinces.options.selectedIndex].value;
			Ext.Ajax.request({
				url : __ctxPath + '/user/getDicByParentIdBpCustMember.do',
				async : false,
				params : {
					isMobile : "1",
					parentId : parentId
				},
				method : 'POST',
				success : function(response) {
					var responseText = Ext.util.JSON.decode(response.responseText);
					var province = document.getElementById("companyCity");
					province.length = 1;
					for (var i = 0; i < responseText.length; i++) {
						var Option = document.createElement("OPTION");
						Option.value = responseText[i].value;
						Option.text = responseText[i].text;
						if (A_sq == responseText[i].value) {
							Option.selected = true;
						}
						province.options.add(Option);
					}
				}
			});
			ecocounty();
		},
		
		ecocounty = function() {
			var comcity = document.getElementById("companyCity");
			var parentId = comcity.options[comcity.options.selectedIndex].value;
			Ext.Ajax.request({
				url : __ctxPath + '/user/getDicByParentIdBpCustMember.do',
				async : false,
				params : {
					isMobile : "1",
					parentId : parentId
				},
				method : 'POST',
				success : function(response) {
					var responseText = Ext.util.JSON.decode(response.responseText);
					var comcounty = document.getElementById("companyCounty");
					comcounty.length = 1;
					for (var i = 0; i < responseText.length; i++) {
						var Option = document.createElement("OPTION");
						Option.value = responseText[i].value;
						Option.text = responseText[i].text;
						if (A_sx == responseText[i].value) {
							Option.selected = true;
						}
						comcounty.options.add(Option);
					}
				}
			});
		}
	},
});