
//ExtUD.Ext.BidPlanFinanceInfo
Ext.define('hrmobile.public.myhome.forgetPassword', {
	extend : 'Ext.Container',
	name : 'forgetPassword',
	constructor : function(config) {
		config = config || {};
		this.email = config.email;
		this.telphone = config.telphone;
		this.loginname = config.loginname;
		this.password = config.password;
		this.repeat_password = config.repeat_password;
		this.recommandPerson = config.recommandPerson;
		this.checkCode = config.checkCode;
		var styles = "font-size:1em;color:#fff;border-bottom: 1px solid #f3f3f3;padding:15px 18px; width: 100%;";

		Ext.apply(config, {
			width : "100%",
			height : "100%",
			title : "<font color=" + topColor + " style='font-size:" + topsize + "'>忘记密码</font>",
			fullscreen : true,
			scrollable : {
				direction : 'vertical'
			},
			items : [{
					xtype : 'panel',
					defaults : {
						xtype : 'textfield',
						labelWidth : "50px"
					},
					items : [{
						 xtype: 'panel',
						 html:"<div style='margin-top: 16%;width:100%;text-align:center;'><img src='hrmobile/resources/imagesP2p/login/title.png'  width='100px' alt='' style='background:#f9f9f8'/></div>"
					    },{
						xtype : "textfield",
						name : "frogettelphone",
						placeHolder : "手机号码",
						inputCls : "inputforregis",
						margin : "10px 0 0 0",
						style : styles,
							
						},{
							xtype : 'panel',
							style:"position:relative",
							layout : {
								type : 'hbox',
								align : 'middle'
							},
							items : [{
								xtype : "textfield",
								name : "frogetcode",
								placeHolder : "验证码",
								id : "frogetcode",
								inputCls : "inputforregis",
								style : styles
							},{
									xtype : "label",
									html : "<img  id='registerCode' style='position:absolute;width: 6em;min-height:3em;right:20px;top: 14px;cursor:pointer;' alt='点击更换' onclick='javascript:refresh(\"registerCode\");' src='"
										+ __ctxPath + "/getCode.do'>"
								} ]
						}, {
							style : " width: 88%;margin: 20px auto 6px;height:44px;background:#735dff;font-color:white;font-size:20px;border-radius: 50px;",
							xtype : 'button',
							text : "<font color=white>获取验证码</font>",
							scope : this,
							handler : this.getVerifySms
						}]
				} ]
		});



		this.callParent([ config ]);

	},
	getVerifySms : function() {
		var telphone = this.parent.getCmpByName("frogettelphone").getValue();
		if (Ext.isEmpty(telphone)) {
			Ext.Msg.alert('', "手机号不能为空");
			return;
		}
		if (!isMobile(telphone)) {
			Ext.Msg.alert('', "手机号格式不正确");
			return;
		}
		var forgetCode1 = this.parent.getCmpByName("frogetcode").getValue();
		if (Ext.isEmpty(forgetCode1)) {
			Ext.Msg.alert('', "验证码不能为空");
			return;
		}
		var seconds = 120;
		var temp = 120;
		Ext.Ajax.request({
			url : __ctxPath + "/user/checkUerBpCustMember.do",
			params : {
				isMobile : "1",
				regType:"telphone",
				telphone:telphone,
				checkCode:forgetCode1
			},
			success : function(response) {
				var responseText = Ext.util.JSON.decode(response.responseText);
				if (responseText.result == 1) {
					Ext.Msg.alert("", "验证码已发送至您的手机，请注意查收！")
					mobileNavi.push(Ext.create('hrmobile.public.myhome.related.forgetPasswordnext', {
						telphone : telphone
					}));
				} else {
					Ext.Msg.alert('', responseText.errMsg);
				}

			}
		});




	}
});