//ExtUD.Ext.BidPlanFinanceInfo
Ext.define('hrmobile.public.myhome.iphone.iphoneNext', {
	extend : 'Ext.form.Panel',
	name : 'iphoneNext',
	constructor : function(config) {
		config = config || {};
		var productDeviceId=config.productDeviceId;
		var isOthersCr=config.isOthersCr;
		var isBoutiqueCr=config.isBoutiqueCr;
		var serviceDays=config.serviceDays;
		var productId;

		Ext.apply(config, {
			width : "100%",
			height : "100%",
			fullscreen : true,
			title : "<font color=" + topColor + " style='font-size:" + topsize + "'>租金详情</font>",
			scrollable : {
				direction : 'vertical'
			},
			items : [ 
			 {
				xtype : 'panel',
				html : '<div  class="iphoneApplyDetailtop">' +
						'<div class="dflex assessmentMony txtc">' +
							'<div class="modelpic"><img src="hrmobile/resources/imagesP2p/index/iphonepic.png" /></div>' +
							'<ul class="modeltxt flex txtc">' +
								'<li class="ftit">经评估，您将获得设备回收金额</li>' +
								'<li class="colorYellow">￥<span id="repayMoneys1">3000</span></li>' +
							'</ul>' +
						'</div>' +
						'' +
					'</div>' 
			 },{
					xtype : 'panel',
					html : '<div  class="iphoneApplyDetaildata">' +
								'<div class="dflex assessmentTit colorBlue">' +
									'<span class="f18">租金概览</span>' +
									'<div class="flex txtr">' +
										'<a class="colorBlue" onclick="javascript:pingzuxieyi()">《融资租赁合同（售后回租）》</a>' +
									'</div>' +
								'</div>' +
								'<div class="hkListBox">'+
						          '<ul class="hkList">'+
						            '<li>'+
							            '<span class="fl">售后回租本金</span>'+
							            '<span class="fr gray">￥<em id="repayMoney">2500</em></span>'+
						            '</li>'+
						            '<li>'+
							            '<span class="fl">回租手续费</span>'+
							            '<span class="fr gray">￥<em id="consultationMoney">10.24</em></span>'+
						            '</li>'+
						            '<li>'+
							            '<span class="fl">回租利息</span>'+
							            '<span class="fr gray">￥<em id="loanMoney">15.75</em></span>'+
						            '</li>'+
						            '<li>'+
							            '<span class="fl">设备检测费</span>'+
							            '<span class="fr gray">￥<em id="boutiqueMoney">63.14</em></span>'+
						            '</li>'+
						            '<li id="othersHGNext" style="'+(isOthersCr == 1 || isOthersCr == "1"?'display:none':'display:block')+'">'+
							            '<span class="fl">设备翻新费</span>'+
							            '<span class="fr gray">￥<em id="gpsFeeMoney">63.14</em></span>'+
						            '</li>'+
						            '<li>'+
							            '<span class="fl">设备回购金额</span>'+
							            '<span class="fr gray">￥<em id="othersMoney">0</em></span>'+
						            '</li>'+
						            '<li>'+
							            '<span class="fl">回租保证金退还</span>'+
							            '<span class="fr gray">-￥<em id="bondLending">750</em></span>'+
						            '</li>'+
					              '</ul>'+
					              '<div class="hkTotalBox">'+
						              '<div class="hkTotal">'+
						                 '<span class="fl">客户应付总计</span>'+
						                 '<span class="fr">￥<em id="sumMoney">1839.13</em></span>'+
						              '</div>'+
						              '<div class="hkTotalxy">'+
						                 '<span class="">点击申请租用代表已同意本平台所有协议</span>'+
						              '</div>'+
					              '</div>'+
					          '</div>'+
					          ''+
						'</div>' 
				 },{
						xtype : 'panel',
						html : '<div class="phoneModel txtc">'+
					                '<div class="phoneModelLink"><span onclick="javascript:iphoneNextBtnOne()">'+
					                '申请租用</span></div>'+
					            '</div>'
					}],listeners : {
				resize : function() {
					var repayMoney = document.getElementById("repayMoney");
					var repayMoneys1 = document.getElementById("repayMoneys1");
					var consultationMoney = document.getElementById("consultationMoney");
					var loanMoney = document.getElementById("loanMoney");
					var boutiqueMoney = document.getElementById("boutiqueMoney");
					var gpsFeeMoney = document.getElementById("gpsFeeMoney");
					var othersMoney = document.getElementById("othersMoney");
					var bondLending = document.getElementById("bondLending");
					var sumMoney = document.getElementById("sumMoney");
					Ext.Ajax.request({
						url : __ctxPath + '/internetSmallloan/repaymentPlanLoanProject.do',
						params : {
						},
						method : 'POST',
						success : function(response) {
							var responseText2 = Ext.util.JSON.decode(response.responseText);
							var obj = responseText2.result;
							if (responseText2.success == true) {
							    productId=responseText2.productId;
								for(var i=0;i<obj.length;i++){
									repayMoney.innerText=obj[i].repayMoney;
									repayMoneys1.innerText=obj[i].repayMoney;
									consultationMoney.innerText=obj[i].consultationMoney;
									loanMoney.innerText=obj[i].loanMoney;
									boutiqueMoney.innerText=obj[i].boutiqueMoney;
									gpsFeeMoney.innerText=obj[i].gpsFeeMoney;
									othersMoney.innerText=obj[i].othersMoney;
									bondLending.innerText=Math.abs(obj[i].bondLending);
									sumMoney.innerText=obj[i].sumMoney;
						    	}

							}else{
								Ext.toast({
									message : '<div style="color:#fff">'+obj.msg+'</div>',
									timeout : 1000
								});
							}
							
						},
						failure : function(form, action, response) {
							var obj = Ext.util.JSON.decode(response);
							Ext.Msg.alert('', obj.message);
						}
					});			
				}
				
			}
		});
		this.callParent([ config ]);
		
		pingzuxieyi = function(){
			this.overlay = Ext.Viewport.add({
				xtype : 'panel',
				modal : true,
				hideOnMaskTap : true,
				centered : true,
				width : '80%',
				height : '500px',
				styleHtmlContent : false,
				html : pingzuxieyiHTML,
				items : [ {
					docked : 'top',
					xtype : 'button',
					style : "background:" + themeColor + "",
					text : '<div style="font-size:17px;color:#fff;">融资租赁合同（售后回租）</div>'
				},{
					docked : 'bottom',
					xtype : 'button',
					style : " width: 88%;margin: 20px auto 6px;height:44px;background:#735dff;font-color:white;font-size:20px;border-radius: 50px;",
					text : "<font  style='color:#fff;'>确定</font>",
					scope : this,
					handler : function() {
						this.overlay.destroy();
					}
				} ],
				scrollable : true
			})
			this.overlay.show();
		}
		
		iphoneNextBtnOne=function(){
			if(Ext.isEmpty(serviceDays)){
				serviceDays = "0"
			}
			Ext.Ajax.request({
				url : __ctxPath + '/internetSmallloan/nextApplyProductShdyLoanProject.do',
				params : {
					id:productId,
					nextStep:"1", 
					isRent:1,
					productDeviceId:productDeviceId,
					"isOthersCr" : isOthersCr, 
					"isBoutiqueCr" : isBoutiqueCr, 
					"serviceDays" : serviceDays 
				},
				method : 'POST',
				success : function(response) {
					var responseText2 = Ext.util.JSON.decode(response.responseText);
					var obj = responseText2;
					if (obj.success == true) {
						mobileNavi.reset();
						if(obj.isOcr==true){
							mobileNavi.push(Ext.create('hrmobile.public.myhome.main.mydetileOCR',{}));
						}else{
							mobileNavi.push(Ext.create('hrmobile.public.myhome.main.mydetile',{}));
						}
						
					}else{
						Ext.Msg.alert('', obj.msg);
					}
					
				},
				failure : function(form, action, response) {
					var obj = Ext.util.JSON.decode(response);
					Ext.Msg.alert('', obj.msg);
				}
			})
		};
		
	}
	
});