//ExtUD.Ext.BidPlanFinanceInfo
Ext.define('hrmobile.public.myhome.iphone.iphoneStyle', {
	extend : 'Ext.form.Panel',
	name : 'iphoneStyle',
	constructor : function(config) {
		config = config || {};
		var productDeviceId=config.productDeviceId;
		var productId=null;
		Ext.apply(config, {
			width : "100%",
			height : "100%",
			fullscreen : true,
			title : "<font color=" + topColor + " style='font-size:" + topsize + "'>申请详情</font>",
			scrollable : {
				direction : 'vertical'
			},
			items : [ 
			 {
				xtype : 'panel',
				html : '<div  class="iphoneApplyBox">' +
		                  '<ul class="iphoneApplylist dflex">'+
				          '<li class="flex">'+
					          '<p><label>设备回收金额</label></p>'+
					          '<div class="divinput">'+
					              '<input class="loanphone_input" id="projectMoney" disabled placeholder="" value=""   />' +
					          '</div>'+
				          '</li>'+
		                    '<li class="">'+
						          '<p><label>回租保证金（可退）</label></p>'+
						          '<div class="divinput">'+
							          '<span>-￥<em id="riskRateMoneyRates"></em></span>'+
						          '</div>'+
					          '</li>'+
		                    '</ul>'+
		                    '<ul class="iphoneApplylist dflex">'+
			                    '<li class="flex">'+
				                     '<p><label>回租期限</label></p>'+
							          '<div class="divinput">'+
								          '<span id="payintentPeriod"></span>'+
							          '</div>'+
						          '</li>'+
						          '<li class="flex">'+
							          
						          '</li>'+
			                '</ul>'+
		                    '<div class="warnTips txtl colorRed">租赁期开始后，可随时结束。14天后可申请续期。</div>'+
		                    '<div class="warnline"></div>'+
		                    '<div class="thirdTips txtr colorBlue" onclick="javascript:baoxiuxieyi()" >《第三方设备免赔服务协议》</div>'+
			                 '<ul class="iphoneApplylist dflex">'+
			                    '<li class="flex">'+
			                    	  '<p><label>是否回购（可选）</label></p>'+
							          '<div class="divinput">'+
							              '<select class="prov" id="repurchase">' +
								              '<option value="-1">请选择</option>' +
									          '<option value="1">是</option>' +
									          '<option value="0">否</option>' +
									       '</select>' +
							          '</div>'+
						          '</li>'+
						          '<li class="">'+
							          '<p><label>是否免赔（可选）</label></p>'+
							          '<div class="divinput">'+
							          '<select class="prov" id="buyserviceCharge" >' +
							             '<option value="-1">请选择</option>' +
								          '<option value="1">是</option>' +
								          '<option value="0">否</option>' +
							          '</select>' +
							          '</div>'+
							          
						          '</li>'+
			                '</ul>'+
		                    '<div class="warnTips txtl colorRed">租赁到期时，若选择留用该设备，请选择“是”。</div>'+
			                 '<ul class="iphoneApplylist dflex">'+
			                    '<li class="flex">'+
				                    '<p><label>购买免赔(天）</label></p>'+
							          '<div class="divinput">'+
							             '<span><input class="txtc" id="boutDayNums" name="" type="number" value="" placeholder="请输入天数" /></span>'+
							           '</div>'+
						          '</li>'+
						          '<li class="">'+
							          '<p><label>免赔价格</label></p>'+
							          '<div class="divinput">'+
							          '<span><input class="txtc" id="purchaseTaxOfRate" name="" type="text" value="15元/天" disabled placeholder="" /></span>'+
							          '</div>'+
						          '</li>'+
			                '</ul>'+
		                    '<div class="warnTips txtl color9">'+
				                '购买此项服务期间，客户均可到协议约定的售后维修<br>'+
				                '服务点免费维修。'+
			                '</div>'+
		                    '<div class="phoneModel txtc">'+
				                '<div class="phoneModelLink"><span onclick="javascript:iphoneNextBtn()">'+
				                '立即申请</span></div>'+
			                '</div>'+
		            '</div>'
				 
			 }

			],listeners : {
				show : function() {
					var projectMoney = document.getElementById("projectMoney");
					var riskRateMoneyRates = document.getElementById("riskRateMoneyRates");
					var payintentPeriod = document.getElementById("payintentPeriod");
					var purchaseTaxOfRate = document.getElementById("purchaseTaxOfRate");
					Ext.Ajax.request({
						url : __ctxPath + '/internetSmallloan/findDeviceDetailLoanProject.do',
						params : {
							productDeviceId:productDeviceId
						},
						method : 'POST',
						success : function(response) {
							var responseText1 = response.responseText.replace(/[\n]/ig, '');
							var obj = Ext.util.JSON.decode(responseText1);
							if (obj.success == true) {
								projectMoney.value='￥'+obj.projectMoney;
								payintentPeriod.innerText=obj.payintentPeriod*7+'天';
								riskRateMoneyRates.innerText=(obj.riskRateMoneyRate/100)*obj.projectMoney;
								purchaseTaxOfRate.value=obj.purchaseTaxOfRate+'元/天';
								productId=obj.productId;
							}else{

								Ext.Msg.alert('', obj.message);
							}

						},
						failure : function(form, action, response) {
							this.setDisabled(false);
						}
					});
					Ext.Ajax.request({
						url : __ctxPath + '/internetSmallloan/isNowBorrowLoanProject.do',
						params : {
							productDeviceId:productDeviceId
						},
						method : 'POST',
						success : function(response) {
							var responseText1 = response.responseText.replace(/[\n]/ig, '');
							var obj = Ext.util.JSON.decode(responseText1);
							var bploan=obj.bploan
							var repurchase = document.getElementById("repurchase");
							var buyserviceCharge = document.getElementById("buyserviceCharge");
							var serviceDays = document.getElementById("boutDayNums");
							if (obj.success == true&&obj.isRent==1) {
								repurchase.value=obj.isOthersCr;
								buyserviceCharge.value=obj.isBoutiqueCr;
								serviceDays.value=obj.serviceDays;
								
							}

						},
						failure : function(form, action, response) {
							this.setDisabled(false);
						}
					});
					
					
					
					
				}
			}
		});
		this.callParent([ config ]);
		
		baoxiuxieyi = function(){
			this.overlay = Ext.Viewport.add({
				xtype : 'panel',
				modal : true,
				hideOnMaskTap : true,
				centered : true,
				width : '80%',
				height : '500px',
				styleHtmlContent : false,
				html : baoxiuxieyiHTML,
				items : [ {
					docked : 'top',
					xtype : 'button',
					style : "background:" + themeColor + "",
					text : '<div style="font-size:17px;color:#fff;">第三方设备免赔服务协议</div>'
				},{
					docked : 'bottom',
					xtype : 'button',
					style : " width: 88%;margin: 20px auto 6px;height:44px;background:#735dff;font-color:white;font-size:20px;border-radius: 50px;",
					text : "<font style='color:#fff;'>确定</font>",
					scope : this,
					handler : function() {
						this.overlay.destroy();
					}
				} ],
				scrollable : true
			})
			this.overlay.show();
		}
		
		repurchaseLay=function(){
			Ext.Msg.confirm("回购", "是否回购?", function(btn){
//				var ss = null;
				if(btn == "yes"){
//					ss = Ext.Msg.alert('', '回购费是商品经过融资之后双方认可的剩余的残余价值。在您把全部租金支付完毕后，需支付一笔费用才能完全拿回您的手机所有权',function(){
//						clearInterval(timer);
//					});
					document.getElementById("repurchase").value = "是";
					document.getElementById("repurchase").placeholder = 1;
//					document.getElementById("fanxin").style.display = "none";
//					document.getElementById("fanxinfei").style.display = "none";
				}else{
//					ss = Ext.Msg.alert('', '在您把全部租金支付完毕后，需把手机寄回我司，如手机有破损，需支付维修费用',function(){
//						clearInterval(timer);
//					});
					document.getElementById("repurchase").value = "否";
					document.getElementById("repurchase").placeholder = 0;
//					document.getElementById("fanxin").style.display = "";
//					document.getElementById("fanxinfei").style.display = "";
				}
//				var timer=null;
//				var tims = 10;
//				  timer=setInterval(function(){
//					  if(tims < 0){
//						  ss.setHidden(true);
//						  clearInterval(timer);
//					  }
//					  tims--;
//				  },1000);
			});
		}
		buyserviceChargeLay=function(){
			Ext.Msg.confirm("保修服务", "是否购买保修服务?", function(btn){
//				var ss = null;
				if(btn == "yes"){
//					ss = Ext.Msg.alert('', '您购买的保修服务天数可按比例抵扣后期需支付的手机检测费用以及可能发生的手机维修费用',function(){
//						clearInterval(timer);
//					});
					document.getElementById("buyserviceCharge").value = "是";
					document.getElementById("buyserviceCharge").placeholder = 1;
					document.getElementById("boutDayNums").style.display=='block';
				}else{
//					ss = Ext.Msg.alert('', '手机检测费用以及后期手机有破损需支付的维修费用应全额支付',function(){
//						clearInterval(timer);
//					});
					document.getElementById("buyserviceCharge").value = "否";
					document.getElementById("buyserviceCharge").placeholder = 0;
					document.getElementById("boutDayNums").style.display=='none';
				}
//				var timer=null;
//				var tims = 10;
//				  timer=setInterval(function(){
//					  if(tims < 0){
//						  ss.setHidden(true);
//						  clearInterval(timer);
//					  }
//					  tims--;
//				  },1000);
			});
		}
		
		iphoneNextBtn=function(){debugger;
			var repurchase = document.getElementById("repurchase").value;
			var buyserviceCharge = document.getElementById("buyserviceCharge").value;
			var serviceDays = document.getElementById("boutDayNums").value;
			if (Ext.isEmpty(repurchase) || repurchase == -1) {
				Ext.Msg.alert('', '请选择是否回购');
				return;
			}
			if (Ext.isEmpty(buyserviceCharge) || buyserviceCharge == -1) {
				document.getElementById("boutDayNums").style.display=='none';
				Ext.Msg.alert('', '请选择是否购买保修服务费');
				return;
			}else if(buyserviceCharge == 0){
				document.getElementById("boutDayNums").style.display=='none';

			}else{
				document.getElementById("boutDayNums").style.display=='block';

			}
			
//			
			var payintentPeriod = document.getElementById("payintentPeriod").innerHTML;
			var payintentPeriodnew=parseInt(payintentPeriod);
			if(serviceDays > payintentPeriodnew){
				Ext.Msg.alert('', '保修天数不能大于融资期限');
				return;
			}
			if(Ext.isEmpty(serviceDays)){
				serviceDays = "0"
			}
			Ext.Ajax.request({
				url : __ctxPath + '/internetSmallloan/nextApplyProductShdyLoanProject.do',
				params : {
					id:productId,
					nextStep:"1",
					productDeviceId:productDeviceId,
					"isOthersCr" : repurchase, 
					"isBoutiqueCr" : buyserviceCharge, 
					"serviceDays" : serviceDays
				},
				method : 'POST',
				success : function(response) {
					var responseText2 = Ext.util.JSON.decode(response.responseText);
					var obj = responseText2;
					if (obj.success == true) {
						mobileNavi.reset();
						mobileNavi.push(Ext.create('hrmobile.public.myhome.iphone.iphoneNext', {
							productDeviceId:productDeviceId,
							isOthersCr : repurchase, 
							isBoutiqueCr : buyserviceCharge, 
							serviceDays : serviceDays 
						}));
						return;
					}else{
						Ext.Msg.alert('', obj.msg);
					}
					
				},
				failure : function(form, action, response) {
					var obj = Ext.util.JSON.decode(response);
					Ext.Msg.alert('', obj.msg);
				}
			})
			
		}
	}
	
});