
Ext.define('hrmobile.public.myhome.loan.applying', {
	extend : 'mobile.List',
	name : 'applying',
	constructor : function(config) {
		config = config || {};
		Ext.apply(config, {
			modeltype : "applying",
			title : "<font color=" + topColor + " style='font-size:" + topsize + "'>我的融资</font>",
			scrollToTopOnRefresh : false, //刷新不跳转到顶部
			pullRefresh: true,
		    listPaging: true,
		    scrollToTopOnRefresh:false,//刷新不跳转到顶部
			fields : [ {
				name : 'teamManagerName'
			}, {
				name : 'teamManagerId'
			}, {
				name : 'states'
			}, {
				name : 'projectMoney' //邮箱
			}, {
				name : 'projectId'
			}, {
				name : 'prepayRateTypeB'
			}, {
				name : 'prepayRateTypeA' //本人id
			}, {
				name : 'oppositeID' //项目编号
			}, {
				name : 'oppositeType' //项目金额
			}, {
				name : 'loanProductName' //其他说明
			}, {
				name : 'loanProductId'
			}, {
				name : 'customerName'
			}, {
				name : 'createDate'
			}],
			url : __ctxPath + '/user/selectprojectBpCustMember.do',
			root : 'result',
			totalProperty : 'totalCounts',
			params : {
				planstate : "7",
				isMobile : "1"
			},
			padding : 0,
			itemTpl : 
				"<li class='myl_loan'>" +
				"<table>" +
				"<td>{loanProductName}</td>" +
				"<td><span class='mColor'>{projectMoney}元</span></td>" +
				"<td>{createDate}</td>" +
				"</table>" +
				"</li>",
		        listeners:{  
		        	itemsingletap : this.itemsingletapsss
		        }
		});

		this.callParent([ config ]);
	},
	itemsingletapsss : function(obj, index, target, record) {
		projectid_detiale=record.data.projectId;
		mobileNavi.push(Ext.create('hrmobile.public.myhome.loanjindu.appdetail', {
			data : record.data
		}));
	},
});