

// ExtUD.Ext.BidPlanFinanceInfo
/*var hukou = null;
var validity = null;*/

Ext.define('hrmobile.public.myhome.loanApplyDy', {
	extend : 'Ext.form.Panel',
	name : 'loanApplyDy',
	constructor : function(config) {
		config = config || {};
		data = config.data;
		var loanStyle = config.loanStyle;
		var M_s = "";
		var M_sq = "";
		var M_sx = "";
		if (!Ext.isEmpty(persion.liveProvince)) {
			M_s = String(persion.liveProvince); // 省
		}
		if (!Ext.isEmpty(persion.liveCity)) {
			M_sq = String(persion.liveCity); // 市
		}
		var styles = "font-size:1em;color:#fff;border-bottom: 1px solid #dddddd;padding:5px 18px"
		var perstyle = "font-size:1em;color:#fff;padding:5px 4px";
		
		var disable = false;
		
		Ext.apply(config, {
			width : "100%",
			height : "100%",
			fullscreen : true,
			title : "<font color=" + topColor + " style='font-size:" + topsize + "'>"+loanStyle+"</font>",
			scrollable : {
				direction : 'vertical'
			},
			items : [{
				items : [ {
					xtype : "panel",
					html : "<div style='margin-top: 20px;border-left: solid 4px #349ef6;margin-left: 10px;padding: 0px;font-size: 1em;color: #000;'><span style='margin-left: 10px;'>新产品申请</span></div>"
				},{
					xtype : "panel",
					cls:"formGroup",
					html : '<div class="dflex"><div class="formLabel">公司名称</div>' +
						'<div class="flex formIput">' +
						'<input class="prov" id="companyTruename"  placeholder="请输入公司名称" value="" />' +
						'</div></div> '
				},{
					xtype : "panel",
					cls:"formGroup",
					html : '<div class="dflex"><div class="formLabel">银行名称</div>' +
						'<div class="flex formIput">' +
						'<select class="prov" id="banklistDy" ></select>' +
						'</div></div> '
				}, {
					xtype : "panel",
					cls:"formGroup",
					html : '<div class="dflex"><div class="formLabel">开户地</div>' +
						'<div class="flex formIput">' +
						'<select class="prov"  id="companyProvincesdy" onchange="javascript:economizes()" style="width:50%;"><option value="-1">请选择</option></select>' +
						'<select class="city prov"  id="companyCitysdy"  style="width:50%;"><option value="-1">请选择</option></select> ' +
						'</div></div> '
				}, {
					xtype : "panel",
					cls:"formGroup",
					html : '<div class="dflex"><div class="formLabel">开户银行</div>' +
						'<div class="flex formIput">' +
						'<input class="prov" id="cardBankname" placeholder="请输入开户银行" value="" />' +
						'</div></div> '
				}, {
					xtype : "panel",
					cls:"formGroup",
					html : '<div class="dflex"><div class="formLabel">对公账户</div>' +
						'<div class="flex formIput">' +
						'<input class="prov" id="commentAccout" placeholder="请输入对公账户" value="" />' +
						'</div></div> '
				}, {
					xtype : "panel",
					cls:"formGroup",
					html : '<div class="dflex"><div class="formLabel">合同编号</div>' +
						'<div class="flex formIput">' +
						'<input class="prov" id="contractNum" placeholder="请输入合同编号" value="" />' +
						'</div></div> '
				}, {
					xtype : "panel",
					cls:"formGroup",
					html : '<div class="dflex"><div class="formLabel">融资金额</div>' +
						'<div class="flex formIput">' +
						'<input class="prov" id="FinancAmount" placeholder="请输入融资金额" value="" />' +
						'</div></div> '
				}, {
					xtype : "panel",
					cls:"formGroup",
					html : '<div class="dflex"><div class="formLabel">备注</div>' +
						'<div class="flex formIput">' +
						'<textarea class="provarea" name="remarkDy" id="remarkDy"  placeholder="请输入备注"></textarea>' +
						'</div></div> '
				},{
					xtype : "label",
					name : "bankmsgdy",
					id : "bankmsgdy",
					html : "  "
				} , {
					style : " width: 80%;margin: 20px auto 6px;height:44px;background:#735dff;font-color:white;font-size:20px;border-radius: 50px;",
					xtype : 'button',
					text : "<font color=#fff>马上申请</font>",
					handler : this.person_nextdy
				},{
					xtpe:'panel',
					cls:'Sumbittip',
					html:'<span>*请您仔细填写资料，提交后不可更改</span>'
				}]
			} ],
			listeners : {
				show : function() {
					Ext.Ajax.request({
						url : __ctxPath + '/internetSmallloan/getBankListUserInfo.do',
						params : {
							isMobile : "1",
						},
						method : 'POST',
						success : function(response) {
							var response11 = Ext.util.JSON.decode(response.responseText);
							var map = response11.list;
							$('#banklistDy').html('')
							for (var key in map){
			        			$('#banklistDy').append("<option value=\""+key+"\">"+map[key]+"</option>");
			             	 }
							
						}
					});
					
					Ext.Ajax.request({
						url : __ctxPath + '/internetSmallloan/getBindBankProvinceListUserInfo.do',
						params : {
							isMobile : "1",
						},
						method : 'POST',
						success : function(response) {
							var responseText = Ext.util.JSON.decode(response.responseText).list;
							var province = document.getElementById("companyProvincesdy");
							province.length = 1;
							for (var i = 0; i < responseText.length; i++) {
								var Option = document.createElement("OPTION");
								Option.value = responseText[i].areaId;
								Option.text = responseText[i].areaName;
								if (M_s == responseText[i].value) {
									Option.selected = true;
								}
								province.options.add(Option);
							}
							economizes();
						}
					});
					
					
				}
			}
		});
		this.callParent([ config ]);
		economizes = function() {
			var provinces = document.getElementById("companyProvincesdy");
			var parentId = provinces.options[provinces.options.selectedIndex].value;
			Ext.Ajax.request({
				url : __ctxPath + '/internetSmallloan/getBindBankCityListUserInfo.do',
				async : false,
				params : {
					isMobile : "1",
					provinceId : parentId,
				},
				method : 'POST',
				success : function(response) {
					var responseText = Ext.util.JSON.decode(response.responseText).list;
					var province = document.getElementById("companyCitysdy");
					province.length = 1;
					for (var i = 0; i < responseText.length; i++) {
						var Option = document.createElement("OPTION");
						Option.value = responseText[i].areaId;
						Option.text = responseText[i].areaName;
						if (M_sq == responseText[i].value) {
							Option.selected = true;
						}
						province.options.add(Option);
					}
					//ecocountys();
				}
			});
		}
	},

	person_nextdy : function() {
		//var next = this.parent.getCmpByName("person_next");
		var this1=this;
		//this.setDisabled(true);
		var myObj = this;
		var companyTruename = document.getElementById("companyTruename").value;
		var cardBankname = document.getElementById("cardBankname").value;
		var commentAccout = document.getElementById("commentAccout").value;
		var contractNum = document.getElementById("contractNum").value;
		var FinancAmount = document.getElementById("FinancAmount").value;
		var remarkDy = document.getElementById("remarkDy").value;
		var bankCodedy = document.getElementById("banklistDy").value;
		var bankProvinceCodedy = document.getElementById("companyProvincesdy").value;  
		var bankCityCodedy = document.getElementById("companyCitysdy").value;
		
		var bankmsgdy = Ext.getCmp('bankmsgdy');
	
		
		if (Ext.isEmpty(companyTruename)) {
			myObj.setDisabled(false);
			bankmsgdy.setHtml("<div style='margin: 10px 20px;font-size:14px'><font color='red'>请输入公司名称</font></div>");
			return;
		}
		if (bankProvinceCodedy == -1 || bankCityCodedy == -1) {
			bankmsg.setHtml("<div style='margin: 10px 20px;font-size:14px'><font color='red'>请选择开户所在地</font></div>");
			return;
		}
		if (bankCodedy == -1) {
			bankmsg.setHtml("<div style='margin: 10px 20px;font-size:14px'><font color='red'>请选择开户银行</font></div>");
			return;
		}
		if (Ext.isEmpty(cardBankname)) {
			myObj.setDisabled(false);
			bankmsgdy.setHtml("<div style='margin: 10px 20px;font-size:14px'><font color='red'>请输入银行名称</font></div>");
			return;
		}
		if (Ext.isEmpty(FinancAmount)) {
			myObj.setDisabled(false);
			bankmsgdy.setHtml("<div style='margin: 10px 20px;font-size:14px'><font color='red'>请输入对公账户</font></div>");
			return;
		}
		if (Ext.isEmpty(contractNum)) {
			myObj.setDisabled(false);
			bankmsgdy.setHtml("<div style='margin: 10px 20px;font-size:14px'><font color='red'>请输入合同编号</font></div>");
			return;
		}
		if (Ext.isEmpty(FinancAmount)) {
			myObj.setDisabled(false);
			bankmsgdy.setHtml("<div style='margin: 10px 20px;font-size:14px'><font color='red'>请输入融资金额</font></div>");
			return;
		}
		if (Ext.isEmpty(remarkDy)) {
			myObj.setDisabled(false);
			bankmsgdy.setHtml("<div style='margin: 10px 20px;font-size:14px'><font color='red'>请输入备注</font></div>");
			return;
		}
		
		if (Ext.isEmpty(remarkDy)) {
			bankmsgdy.setHtml("<div style='margin: 10px 20px;font-size:14px'><font color='red'>请填写备注</font></div>");
			return;
		}
		if (!isNaN(remarkDy)) {
			bankmsgdy.setHtml("<div style='margin: 10px 20px;font-size:14px'><font color='red'>请填写正确的备注</font></div>");
			return;
		}
		
	
		Ext.Ajax.request({
			url : __ctxPath + "/internetSmallloan/applyLoanLoanProject.do",
			params : {
				productid:data.id,
				enterprisename:companyTruename,
				openingbank:bankCodedy,  
			    bankProvinceplace:bankProvinceCodedy,
			    bankCityplace:bankCityCodedy,
				bankname:cardBankname,
				bankaccount:commentAccout,
				contractnum :contractNum,
				projectMoney:FinancAmount,
				remarks:remarkDy
			},
			method : 'POST',
			success : function(response) {
				var obj = Ext.util.JSON.decode(response.responseText);
				if(obj.success == true){
					mobileNavi.reset();
					mobileNavi.push(Ext.create('hrmobile.public.myhome.loan.loanloading', {}));
				}else{
					Ext.Msg.alert('', obj.msg);
				}
				
			},
			failure : function(response) {
				var obj = Ext.util.JSON.decode(response);
				Ext.Msg.alert('', obj.msg);
				myObj.setDisabled(false);
			}
		})
	},
});