Ext.define('hrmobile.public.myhome.login', {
	extend : 'Ext.form.Panel',
	name : 'login',
	alias : 'widget.login',
	constructor : function(config) {
		config = config || {};
		var styles = "font-size:1em;color:#fff;border-top: 1px solid #f3f3f3;border-bottom: 1px solid #f3f3f3;padding:15px 18px;";
		var styless = "font-size:1em;color:#fff;padding:15px 18px;";
		if(isApp){
			MaxentThing.maxent("loginHtml",[""],function(msg){
				var msg2 = Ext.util.JSON.decode(msg);
				Ext.Ajax.request({
					url : __ctxPath + '/internetSmallloan/saveMaxentInfoUserInfo.do',
					params : {
						tick:msg2.tick
					},
					method : 'POST',
					success : function(response) {
						var responseText1 = response.responseText.replace(/[\n]/ig, '');
						var obj2 = Ext.util.JSON.decode(responseText1);
						if (obj2.success == true) {
							
						}else{
							Ext.Msg.alert("", obj2.errMsg);
						}
					}
				});
			},function(){})
		}else{
			var tick = randomWord(false, 12);
			mj('customize_event', {
			    tick: tick,
			    "event_type": "__mx_pageview",
			    fields: {
			    	"pagename":"login"
			    }
			}, function (status, data) {
				Ext.Ajax.request({
					url : __ctxPath + '/internetSmallloan/saveMaxentInfoUserInfo.do',
					params : {
						tick:data.callingParams.tick
					},
					method : 'POST',
					success : function(response) {
						var responseText1 = response.responseText.replace(/[\n]/ig, '');
						var obj2 = Ext.util.JSON.decode(responseText1);
						if (obj2.success == true) {
							
						}else{
							Ext.Msg.alert("", obj2.errMsg);
						}
					}
				});
			});

		}
		
		Ext.apply(config, {
			title : "<font color=" + titleColor + " style='font-size:" + topsize + "'>登录</font>",
			scrollable : {
				direction : 'vertical'
			},
			items : [{
				 xtype: 'panel',
				 html:"<div style='margin-top: 22%;width:100%;text-align:center;'><img src='hrmobile/resources/imagesP2p/login/title.png'  width='100px' alt='' style='background:#f9f9f8'/></div>"
			},{
				style:"margin:10px;",
				items : [
					{
						xtype : "textfield",
						name : "username",
						id:"username",
						placeHolder : "手机号码",
						inputCls : "inputforregis",
						margin : "30px 0 0 0",
						style : styless,
						listeners: {
							
	    				   	scope : this,
	    			        blur:function(e, eOpts ){
								var aaa = /^[0-9]*$/ ; 
									if(!aaa.test(e._value)){
										e.setValue();
										Ext.Msg.alert("", "只能输入数字");
									}
	    			        },
	    			    }
					},{
						xtype : "passwordfield",
						name : "password",
						id:"password",
						placeHolder : "密码",
						inputCls : "inputforregis",
						style : styles
					},/* {
						xtype : "panel",
						html : "<div style='height:45px; font-weight:bold;font-size:0.95em; color:#000;'></div>" +
							'<div class="frame">  ' +
							'<input checked="checked" id="loginsavepasswodrd" name="check" type="checkbox">  ' +
							'<label class="check" for="loginsavepasswodrd">  ' +
							'<i class="fa iconfont icon-duigou1" style="margin: 0px 0px 0px 2px;font-size:15px;"></i>  ' +
							'</label>' +
							'<div style="height:20px;line-height:20px;font-size:15px;">记住密码</span>' +
							'</div>'
					},*/
					{
						xtype : "label",
						name : "note",
						id : "note",
						html : ""
					}, {
						style : "margin: 20px auto 6px;height:44px;background:#735dff;font-color:white;font-size:20px;border-radius: 50px;",
						xtype : 'button',
						text : "<font color=#fff>登录</font>",
						handler : this.loginbtn
					},{
						xtype : 'panel',
						html : '<div  class="phoneModelgp txtc">' +
									'<div class="phoneModelLink disabled"><span onclick="javascript:registerbtn()">注册</span></div>' +
								'</div>'
					}, {
						xtype : 'panel',
						html : "<div class='txtc'> " +
							"<span onclick='javascript:forgetPassword();' >找回密码</span></div>"
					}


				],
				listeners : {
					resize : function() {
//						if (!Ext.isEmpty(localStorage.userName)) {
//							this.parent.getCmpByName("username").setValue(localStorage.userName);
//						}
//						if (!Ext.isEmpty(localStorage.appsavepassword)) {
//							this.parent.getCmpByName("password").setValue(localStorage.appsavepassword);
//						}

					}
				}
			} ]
		});


		this.callParent([ config ]);
		registerbtn = function() {
			mobileNavi.push(Ext.create('hrmobile.public.myhome.register', {}));
		},
		forgetPassword = function() {
			mobileNavi.push(Ext.create('hrmobile.public.myhome.forgetPassword', {}));
		}
	},
	
//	wxcheck : function() {
//		
//		Ext.Ajax.request({
//			type : "get",
//			url : __ctxPath + "/EcIDCardServlet",
//			dataType : 'json',
//			params : {
//				id : 159,
//				WeChat : "WeChat",
//				serverId : "a7tWMy4MTVwGZ08O4-SrVaPHAQbqoeX7sZsOD85yvkDJhCkHVl4SP1kHLDv8bH_B",
//			},
//			success : function(response) {
//				var responseText1 = response.responseText.replace(/[\n]/ig, '');
//				var obj = Ext.util.JSON.decode(responseText1);
//				if(obj.success){
//					
//				}else{
//					Ext.Msg.alert('', "图片验证失败");
//				}
//					//mobileNavi.pop(2);
//			}
//		});
//
//	},

	loginbtn : function() {
		Ext.getCmp('loginhide');
		var loginForm = this.up('formpanel');
		if (loginForm.validate(loginForm.items)) {
			var username = loginForm.getCmpByName('username').getValue();
			var password = loginForm.getCmpByName('password').getValue();
			var loginpassword = b64_sha256(password);
			var note = Ext.getCmp('note');
			if (Ext.isEmpty(username)) {
				Ext.toast({
					message : '<div style="color:#fff">用户名不能为空</div>',
					timeout : 1000
				});
				return;
			}
			if (Ext.isEmpty(password)) {
				Ext.toast({
					message : '<div style="color:#fff">密码不能为空</div>',
					timeout : 1000
				});
				return;
			}
			Ext.Ajax.request({
				url : __ctxPath + '/tologin.do',
				params : {
					isMobile : "1",
					isIndex : "yes",
					loginname : username,
					password : loginpassword
				},
				method : 'POST',
				success : function(response) {
					var responseText1 = response.responseText.replace(/[\n]/ig, '');
					var obj = Ext.util.JSON.decode(responseText1);
					if(!Ext.isEmpty(obj.data)){
						if(isApp){
							MaxentThing.maxent("login",[obj.data.id,obj.data.telphone],function(msg){
								var msg2 = Ext.util.JSON.decode(msg);
								Ext.Ajax.request({
									url : __ctxPath + '/internetSmallloan/saveMaxentInfoUserInfo.do',
									params : {
										tick:msg2.tick
									},
									method : 'POST',
									success : function(response) {
										var responseText1 = response.responseText.replace(/[\n]/ig, '');
										var obj2 = Ext.util.JSON.decode(responseText1);
										if (obj2.success == true) {
											
										}else{
											Ext.Msg.alert("", obj2.errMsg);
										}
									}
								});
							},function(){})
						}else{
							var tick = randomWord(false, 12);
							mj('login', {
							    tick: tick,
							    "user_id": obj.data.id,
			    				"login_status": "SUCCESS",
							    fields: {
							    	"pagename":"login"
							    }
							}, function (status, data) {
								Ext.Ajax.request({
									url : __ctxPath + '/internetSmallloan/saveMaxentInfoUserInfo.do',
									params : {
										tick:data.callingParams.tick
									},
									method : 'POST',
									success : function(response) {
										var responseText1 = response.responseText.replace(/[\n]/ig, '');
										var obj2 = Ext.util.JSON.decode(responseText1);
										if (obj2.success == true) {
											
										}else{
											Ext.Msg.alert("", obj2.errMsg);
										}
									}
								});
							});
				
						}
					}
					if (password) {
						localStorage.setItem("appsavepassword", password);
					} else {
						localStorage.setItem("appsavepassword", "");
					}
					if (Ext.isEmpty(obj.errMsg)) {
						localStorage.setItem("allpassword", password);
						curUserInfo = obj.data;
						persion=obj.persion;
						var curTime = new Date().getTime();
						localStorage.setItem(username + "curTime", curTime);
						localStorage.setItem("userName", username);
						localStorage.setItem(username + "password", password);
						localStorage.setItem(username + "updateGesturePassword", "0");
						localStorage.setItem(username + "curUserInfo", curUserInfo);
						mobileNavi.destroy();
						mobileNavi = Ext.create('mobile.View', {});
						mobileView.add(mobileNavi);
					} else {
						Ext.toast({
							message : '<div style="color:#fff">'+obj.errMsg+'</div>',
							timeout : 1000
						});
						return;
					}
				},
				failure : function(form, action, response) {
					var obj = Ext.util.JSON.decode(response);
					Ext.Msg.alert('', obj.msg);
				}
			});
		}
	}

});