
//ExtUD.Ext.BidPlanFinanceInfo
Ext.define('hrmobile.public.myhome.main.bankcardlist', {
	extend : 'mobile.List',
	name : 'bankCardList',
	constructor : function(config) {
		config = config || {};
		var bankhidden = true;
		var callback = config.callback;
		if (!Ext.isEmpty(callback)) {
			bankhidden = false;
		}
		var this1=this;
		var bidDetailtop = Ext.create('Ext.Container', {
			docked : 'bottom',
			scrollDock : 'bottom',
			hidden : bankhidden,
			items : [ {
				style : "background:#ffffff;font-color:white",
				cls : 'add-bank clearfix',
				align : 'center',
				xtype : 'button',
				text : "<font class='fl add-bank-ico' style='font-size:78px'>+</font>",
				handler : function() {
					mobileNavi.push(Ext.create('hrmobile.public.myhome.bankCardbing', {
						callbacks : function() {
							this1.getStore().load();
						}
					}));
				}
			} ]
		})
		Ext.apply(config, {
			title : "<font color=" + topColor + " style='font-size:" + topsize + "'>我的银行卡</font>",
			width : "100%",
			height : "100%",
			fullscreen : true,
			pullRefresh : true,
			cls:"mmplanListbox",
			items : [ bidDetailtop ],
			itemsTpl : [ bidDetailtop ].join(""),
			listPaging : true,
			scrollable : {
				direction : 'vertical'
			},
			fields : [ {
				name : 'accountnum'
			}, {
				name : 'name' //
			}, {
				name : 'isPayCheck'
			}, {
				name : 'bankname'
			}  ],
			url : __ctxPath + '/internetSmallloan/accountMessUserInfo.do',
			root : 'result',
			totalProperty : 'totalCounts',
			params : {
				isMobile : "1"
			},
			itemTpl : new Ext.XTemplate("<div class='banklistTop'><div class='bank-bar clearfix bankdaye' style='margin-top:0;top: 50px;'>" +

				"<div class='bank-txt bankdyTxt'>" +
				"<h1 class='bank-name' id='bank_name1'>{bankname:this.subBank}</p></h1>" +
				"<p class='bank-style'>" +
				"<tpl>{bankname:this.subBankone}</tpl></p>" +
//				"<tpl if='isPayCheck==1'>绑卡失败</tpl>" +
//				"<tpl if='isPayCheck==2'>绑卡成功</tpl>" +
				"<p class='bank-num' id='bank_num1'>{accountnum:this.subcordnum}</p>" +
				"</div>" +
			    '<img src="hrmobile/resources/imagesP2p/common/bankbg.png" width="100%" />'+
				(Ext.isEmpty(callback) ? "" : "<div style='float: right;' id='bank_imge'><font style='text-align:right;color:#fff;font-size:15px;'>点击提现</font>") +
				"</div>" +
				"</div></div>", {
					subcordnum : function(accountnum) {
						var qianzui = "";
						for (i = 0; i < accountnum.length - 4; i++) {
							qianzui += "*";
						}
						var banknum = accountnum.substring(accountnum.length - 4, accountnum.length);
						return qianzui + banknum;
					},
					subBankone:function(bankname){
						return bankname.split("·")[1];
					},
					subBank:function(bankname){
						return bankname.split("·")[0];
					},
					banknametype : function(bankname) {
						if (Ext.isEmpty(bankname)) {
							return biduiimg("CMB");
						}
						return biduiimg(bankname);
					}
				}),
			listeners : {
				scope : this,
				itemsingletap : function(obj, index, target, record, e, eOpts) {
					if (record.data.isPayCheck != "2") {
						return;
					}
					if (Ext.isEmpty(callback)) {
					} else {
						Ext.Msg.confirm("", '是否选取此卡作为放款银行卡？', function(btn) {
							if (btn == "yes") {
								mobileView.setMasked({
									xtype : 'loadmask',
									message : "请稍后"
								});
								$.ajax({
									type : "POST",
									url : __ctxPath + '/internetSmallloan/fundAndLoanLoanProject.do',
									data : {
										isMobile : "1",
										bankId : record.data.id
									},
									dataType : 'json',
									timeout : 1200000,
									success : function(responseText, statusText) {
										mobileView.setMasked(false);
										if (responseText.success == true) {
											Ext.Msg.alert("", responseText.errMsg);
											mobileNavi.pop();
											callback(responseText);
											return;
										} else {
											mobileView.setMasked(false);
											Ext.Msg.alert("", responseText.errMsg);
											return;
										}
									}
								});
							}
						});
					}
				}
			},
		});
		this.callParent([ config ]);
	},
	update : function() {
		/*var startDate=this.getCmpByName("bidtime").getValue();
		var endDate=this.getCmpByName("bidtime2").getValue();*/
		var buystate = this.getCmpByName("buystate").getValue();
		var deParams = {};
		deParams.start = 0;
		deParams.limit = 10;
		/*    deParams.startDate=startDate;
		    deParams.endDate=endDate;*/
		deParams.buystate = buystate;
		gridstore = this.getStore();
		//  gridstore.getProxy().getExtraParams().page=1;
		/*    gridstore.getProxy().getExtraParams().bidtime=startDate;
		    gridstore.getProxy().getExtraParams().bidtime2=endDate;*/
		gridstore.getProxy().getExtraParams().buystate = buystate;
		this1.getStore().load();

	}
});