/**
 * 手机功能菜单
 * by cjj
 */

Ext.define('hrmobile.public.myhome.related.bottomBarIndex', {
	extend : 'Ext.SegmentedButton',
	name : 'bottomBarIndex',
	constructor : function(config) {
		Ext.apply(config, {
			docked : 'bottom',
			laout : 'hbox',
			allowDepress : false,
			style : "    border-top: 1px solid #E7E7E7;background:#fff",
			items : [ {
				width : "25%",
				height : 55,
				id:'index_home',
				//text : "融资",
				style : "",
				cls : 'index_select',
				this1 : this,
				handler : this.toindex
			}, {
				cls : 'loan',
				this1 : this,
				width : "25%",
				height : 55,
				id:'loan_home',
				//text : "账单",
				style : "",
				handler : this.toloan
			}, {
				cls : 'wdzh',
				hiddenCls : 'wdzh_select',
				this1 : this,
				width : "25%",
				height : 55,
				id:'wdzh_home',
				//text : "认证",
				style : "",
				handler : this.towdzh
			}, {
				cls : 'more',
				hiddenCls : 'more_select',
				this1 : this,
				width : "25%",
				height : 55,
				id:'more_home',
				//text : "我的",
				style : "",
				handler : this.tomore
			} ],
			listeners : {
				toggle : function(container, button, pressed) {
					var otherbuttonobjarray = container.items.items;
					otherbuttonobjarray[0].setCls("index");
					otherbuttonobjarray[1].setCls("loan");
					otherbuttonobjarray[2].setCls("wdzh");
					otherbuttonobjarray[3].setCls("more");
					var buttonCls = button.getCls()[0].split("_")[0] + "_select";
					button.setCls(buttonCls);

				}
			}
		});

		this.callParent([ config ]);

	},
	toindex : function() {
		if(getval != null && getval != ""){
			mobileNavi.destroy();
			mobileNavi = Ext.create('mobile.View2', {});
			mobileView.add(mobileNavi);
			getval = null;
		}else{
			mobileNavi.reset();
			mobileNavi.push(Ext.create('hrmobile.public.myhome.index', {}));
			mobileNavi.getNavigationBar().getBackButton().hide();
		}
		return;
	},
	toloan : function() {
		if (Ext.isEmpty(curUserInfo)) {
			if (mobileNavi.getActiveItem().$className != "hrmobile.public.myhome.login") {
				mobileNavi.reset();
				mobileNavi.push(Ext.create('hrmobile.public.myhome.login', {}));
				mobileNavi.getNavigationBar().getBackButton().hide();
				return;
			}
		} else {
			Ext.Ajax.request({
				url : __ctxPath + '/internetSmallloan/isNowBorrowLoanProject.do',
				params : {
					keyId:'applekeyid'
				},
				method : 'POST',
				success : function(response) {
					var responseText1 = response.responseText.replace(/[\n]/ig, '');
					var obj = Ext.util.JSON.decode(responseText1);
					var bploan = obj.bploan;
					mobileNavi.reset();
					if (obj.success == true) {
						if(bploan.keyId=="applekeyid"){
							if(obj.isRent == 1){
								mobileNavi.push(Ext.create('hrmobile.public.myhome.iphone.iphoneStyle', {
									productDeviceId:obj.productDeviceId
								}))
							}else{
								mobileNavi.push(Ext.create('hrmobile.public.myhome.iphone.loanApplyIphone', {
									data : obj.bploan,
									loanStyle:'售后回租'
								}))
							}
							
						}
					}else {
						if (Ext.isEmpty(obj.result)) {
							
							object = new Object();
							object.type = "not_shz";
							object.title = "马上申请",
							object.message = obj.msg;
							object.struts = true;
							object.btntext = "马上申请"
							object.images = "hrmobile/resources/imagesP2p/none/mash.png"
							mobileNavi.push(Ext.create('hrmobile.public.myhome.none', {
								object : object,
								loanStyle:'售后回租'
							}));
							return;
						}
						
						if (!Ext.isEmpty(obj.result.step)) {
							var step = obj.result.step;
							var smobj = obj.result;
							if(bploan.keyId=="applekeyid"){
								if (step == "4") {
				                      
									if(obj.result.projectStatus=="7"||obj.result.projectStatus=="10"||obj.result.projectStatus=="18"){
										Ext.Ajax.request({
											url : __ctxPath + '/internetSmallloan/repayMentLoanProject.do',
											params : {
												userid : curUserInfo.id
											},
											async : false,
											method : 'POST',
											success : function(response) {
												var responseText1 = response.responseText.replace(/[\n]/ig, '');
												var obj = Ext.util.JSON.decode(responseText1);
												if (obj.success == true) {
													if (mobileNavi.getActiveItem().$className != "hrmobile.public.myhome.loan.orders_loan_hk") {
														mobileNavi.reset();
														mobileNavi.push(Ext.create('hrmobile.public.myhome.loan.orders_loan_hk', {
															data : obj.data
														}));
													}
												} else {
													object= new Object();
													object.type=2;
													object.title="融资记录",
													object.struts=false;
													object.btntext="马上申请"
													object.images="hrmobile/resources/imagesP2p/none/mash.png"
													object.message=obj.errMsg
													mobileNavi.push(Ext.create('hrmobile.public.myhome.none', {
														object : object,
														loanStyle:'售后回租'
													}));
													return;
												}
											},
											failure : function(form, action, response) {}
										});
									}else{
										Ext.Ajax.request({
											url : __ctxPath + "/internetSmallloan/showNowApplyLoanProject.do",
											params : {
												isMobile : "1",
											},
											async : false,
											method : 'POST',
											success : function(response) {
												var responseText1 = response.responseText.replace(/[\n]/ig, '');
												var obj = Ext.util.JSON.decode(responseText1);
												if (obj.success == true) {
													mobileNavi.push(Ext.create('hrmobile.public.myhome.loan.loanloading', {
														data : obj.result,
														isCheckbank : obj.IsCheckBankCark
													}));
												} else {
													object= new Object();
													object.type=2;
													object.title="进度查询";
													object.struts=false;
													object.btntext="马上申请";
													object.images="hrmobile/resources/imagesP2p/none/mash.png";
													object.message="您还没有申请中的融资";
													mobileNavi.push(Ext.create('hrmobile.public.myhome.none', {
														object : object
													}));
													return;
												}
											},
											failure : function(response) {
												Ext.Msg.alert('', '服务器出错，请联系客服');
											}
										});
									}
								}else if(step == "3"){
									mobileNavi.push(Ext.create('hrmobile.public.myhome.mainsNew', {}));
								}else if(step == "1"){
									if(obj.isOcr==true){
										mobileNavi.push(Ext.create('hrmobile.public.myhome.main.mydetileOCR',{}));
									}else{
										mobileNavi.push(Ext.create('hrmobile.public.myhome.main.mydetile',{projectId:obj.result.projectId}));
									}
								}else if(step == "2"){
									mobileNavi.push(Ext.create('hrmobile.public.myhome.main.mydetileThree',{}));
								}else{
									Ext.Ajax.request({
											url : __ctxPath + "/internetSmallloan/showNowApplyLoanProject.do",
											params : {
												isMobile : "1",
											},
											async : false,
											method : 'POST',
											success : function(response) {
												var responseText1 = response.responseText.replace(/[\n]/ig, '');
												var objshow = Ext.util.JSON.decode(responseText1);
												if (objshow.success == true) {
													mobileNavi.push(Ext.create('hrmobile.public.myhome.loan.loanloading', {
														data : obj.result,
														isCheckbank : obj.IsCheckBankCark
													}));
												} else {
													object= new Object();
													object.type=2;
													object.title="进度查询";
													object.struts=false;
													object.btntext="马上申请";
													object.images="hrmobile/resources/imagesP2p/none/mash.png";
													object.message="您还没有申请中的融资";
													mobileNavi.push(Ext.create('hrmobile.public.myhome.none', {
														object : object,
														loanStyle:'售后回租'
													}));
													return;
												}
											},
											failure : function(response) {
												Ext.Msg.alert('', '服务器出错，请联系客服');
											}
										});
								}
							}else{
								Ext.Ajax.request({
									url : __ctxPath + "/internetSmallloan/showNowApplyLoanProject.do",
									params : {
										isMobile : "1",
									},
									async : false,
									method : 'POST',
									success : function(response) {
										var responseText1 = response.responseText.replace(/[\n]/ig, '');
										var objshow = Ext.util.JSON.decode(responseText1);
										if (objshow.success == true) {
											mobileNavi.push(Ext.create('hrmobile.public.myhome.loan.loanloading', {
												data : obj.result,
												isCheckbank : obj.IsCheckBankCark
											}));
										} else {
											object= new Object();
											object.type=2;
											object.title="进度查询";
											object.struts=false;
											object.btntext="马上申请";
											object.images="hrmobile/resources/imagesP2p/none/mash.png";
											object.message="您还没有申请中的融资";
											mobileNavi.push(Ext.create('hrmobile.public.myhome.none', {
												object : object,
												loanStyle:'售后回租'
											}));
											return;
										}
									},
									failure : function(response) {
										Ext.Msg.alert('', '服务器出错，请联系客服');
									}
								});
							}
						     
						} else {
							if(obj.isOcr==true){
								mobileNavi.push(Ext.create('hrmobile.public.myhome.main.mydetileOCR',{}));
							}else{
								mobileNavi.push(Ext.create('hrmobile.public.myhome.main.mydetile',{projectId:obj.result.projectId}));
							}
						}
					}
				},
				failure : function(form, action, response) {}
			});
			/*Ext.Ajax.request({
				url : __ctxPath + '/internetSmallloan/repayMentLoanProject.do',
				params : {
					userid : curUserInfo.id
				},
				async : false,
				method : 'POST',
				success : function(response) {
					var responseText1 = response.responseText.replace(/[\n]/ig, '');
					var obj = Ext.util.JSON.decode(responseText1);
					if (obj.success == true) {
						if (mobileNavi.getActiveItem().$className != "hrmobile.public.myhome.loan.orders_loan_hk") {
							mobileNavi.reset();
							mobileNavi.push(Ext.create('hrmobile.public.myhome.loan.orders_loan_hk', {
								data : obj.data
							}));
							mobileNavi.getNavigationBar().getBackButton().hide();
						}
					} else {
						object= new Object();
						object.type=2;
						object.title="融资记录",
						object.struts=false;
						object.btntext="马上申请"
						object.images="hrmobile/resources/imagesP2p/none/mash.png"
						object.message=obj.errMsg
						mobileNavi.push(Ext.create('hrmobile.public.myhome.none', {
							object : object
						}));
						mobileNavi.getNavigationBar().getBackButton().hide();
						return;
					}
				},
				failure : function(form, action, response) {}
			});*/
		}

	},
	towdzh : function() {
		if (curUserInfo == null) {
			if (mobileNavi.getActiveItem().$className != "hrmobile.public.myhome.login") {
				mobileNavi.reset();
				mobileNavi.push(Ext.create('hrmobile.public.myhome.login', {}));
				mobileNavi.getNavigationBar().getBackButton().hide();
			}
		} else {
			if (mobileNavi.getActiveItem().$className != "hrmobile.public.myhome.help.help") {
				mobileNavi.reset();
				mobileNavi.push(Ext.create('hrmobile.public.myhome.help.help', {}));
				mobileNavi.getNavigationBar().getBackButton().hide();
			}
		}
	},
	tomore : function() {
		if (curUserInfo == null) {
			if (mobileNavi.getActiveItem().$className != "hrmobile.public.myhome.login") {
				mobileNavi.reset();
				mobileNavi.push(Ext.create('hrmobile.public.myhome.login', {}));
				mobileNavi.getNavigationBar().getBackButton().hide();
			}
		} else {
			if (mobileNavi.getActiveItem().$className != "hrmobile.public.myhome.mains") {
				mobileNavi.reset();
				mobileNavi.push(Ext.create('hrmobile.public.myhome.mains', {}));
				mobileNavi.getNavigationBar().getBackButton().hide();
			}
		}
		
		
	}
});